org.apache.hc.client5.http.impl.auth

## Class CredentialsProviderBuilder

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.CredentialsProviderBuilder

    public final class CredentialsProviderBuilder
    extends Object

`CredentialsProvider` builder.

Since:
  5.2

### Constructor Summary

Constructors
Constructor and Description
`CredentialsProviderBuilder()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CredentialsProviderBuilder` `add(AuthScope authScope, Credentials credentials)`
`CredentialsProviderBuilder` `add(AuthScope authScope, String username, char[] password)`
`CredentialsProviderBuilder` `add(HttpHost httpHost, Credentials credentials)`
`CredentialsProviderBuilder` `add(HttpHost httpHost, String username, char[] password)`
`CredentialsProvider` `build()`
`static CredentialsProviderBuilder` `create()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CredentialsProviderBuilder

    public CredentialsProviderBuilder()

### Method Detail

#### create

    public static CredentialsProviderBuilder create()

#### add

    public CredentialsProviderBuilder add(AuthScope authScope,
                                          Credentials credentials)

#### add

    public CredentialsProviderBuilder add(AuthScope authScope,
                                          String username,
                                          char[] password)

#### add

    public CredentialsProviderBuilder add(HttpHost httpHost,
                                          Credentials credentials)

#### add

    public CredentialsProviderBuilder add(HttpHost httpHost,
                                          String username,
                                          char[] password)

#### build

    public CredentialsProvider build()